Apple App Store
Apple App Store: Product Reviews
Product Reviews from Apple App Store. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
apple-app-store
/
product-reviews
Product Reviews
curl --request GET \
--url https://api.perceptlayer.com/v1/apple-app-store/product-reviews \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/apple-app-store/product-reviews"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/apple-app-store/product-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/apple-app-store/product-reviews';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/apple-app-store/product-reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/apple-app-store/product-reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/apple-app-store/product-reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/apple-app-store/product-reviews")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "apple-app-store.product-reviews",
"params": {
"product_id": "324684580",
"store": "apps",
"num": "20"
},
"response": {
"search_parameters": {
"product_id": "324684580",
"store": "apps",
"num": 20,
"country": "us",
"engine": "apple_app_store_product_reviews"
},
"reviews": [
{
"id": "11994640656",
"title": "Favorite app ever",
"author": "l.lacx",
"rating": 5,
"text": "I personally love this app. I have had it for over 4 years, and it’s been an app I use daily. If you are thinking about getting it, for sure get the Premium plan, no ads, endless skipping of songs, shuffle play, and a good amount of more th…",
"date": "2024-11-26T17:10:59Z",
"is_edited": false
},
{
"id": "9447841001",
"title": "Stop changing the queue!!!!!",
"author": "I_am_theSquirrel",
"rating": 5,
"text": "Stop changing the way the queue works every single time I use this app! I swear Im this close to subscribing to apple music 👌. Just let me keep the option to play my liked songs randomly or not. Also why did I suddenly lose the option to p…",
"date": "2022-12-29T14:48:34Z",
"is_edited": false
},
{
"id": "6639352889",
"title": "Please go back",
"author": "Emanjeudy",
"rating": 5,
"text": "I love the app but not so much the new update. Please give us a retro date. Also the option to go to your liked songs library and not all your playlist with out liked songs as a playlist. To add whenever I like a album the songs do not save…",
"date": "2020-11-13T06:41:28Z",
"is_edited": false
}
],
"reviews_pagination": {
"offset": 0,
"limit": 20,
"next_offset": 20,
"next_page_token": "20",
"end_of_history": false
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Apple App Store API overview for every Apple App Store endpoint.
Authorizations
Query Parameters
Maximum string length:
255Maximum string length:
255Available options:
apps, mac, books, audiobooks, movies, tv, music, podcasts Maximum string length:
2Maximum string length:
255Maximum string length:
100Was this page helpful?
⌘I
Product Reviews
curl --request GET \
--url https://api.perceptlayer.com/v1/apple-app-store/product-reviews \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/apple-app-store/product-reviews"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/apple-app-store/product-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/apple-app-store/product-reviews';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/apple-app-store/product-reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/apple-app-store/product-reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/apple-app-store/product-reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/apple-app-store/product-reviews")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "apple-app-store.product-reviews",
"params": {
"product_id": "324684580",
"store": "apps",
"num": "20"
},
"response": {
"search_parameters": {
"product_id": "324684580",
"store": "apps",
"num": 20,
"country": "us",
"engine": "apple_app_store_product_reviews"
},
"reviews": [
{
"id": "11994640656",
"title": "Favorite app ever",
"author": "l.lacx",
"rating": 5,
"text": "I personally love this app. I have had it for over 4 years, and it’s been an app I use daily. If you are thinking about getting it, for sure get the Premium plan, no ads, endless skipping of songs, shuffle play, and a good amount of more th…",
"date": "2024-11-26T17:10:59Z",
"is_edited": false
},
{
"id": "9447841001",
"title": "Stop changing the queue!!!!!",
"author": "I_am_theSquirrel",
"rating": 5,
"text": "Stop changing the way the queue works every single time I use this app! I swear Im this close to subscribing to apple music 👌. Just let me keep the option to play my liked songs randomly or not. Also why did I suddenly lose the option to p…",
"date": "2022-12-29T14:48:34Z",
"is_edited": false
},
{
"id": "6639352889",
"title": "Please go back",
"author": "Emanjeudy",
"rating": 5,
"text": "I love the app but not so much the new update. Please give us a retro date. Also the option to go to your liked songs library and not all your playlist with out liked songs as a playlist. To add whenever I like a album the songs do not save…",
"date": "2020-11-13T06:41:28Z",
"is_edited": false
}
],
"reviews_pagination": {
"offset": 0,
"limit": 20,
"next_offset": 20,
"next_page_token": "20",
"end_of_history": false
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}